%define majver %(echo %version | cut -d. -f1-2)
Name:          libgupnp
Version:       0.20.16
Release:       1mamba
Summary:       An object-oriented open source framework for creating UPnP devices and control points
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.gupnp.org/
Source:        ftp://ftp.gnome.org/pub/gnome/sources/gupnp/%{majver}/gupnp-%{version}.tar.xz
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libgcrypt-devel
BuildRequires: libglib-devel
BuildRequires: libgnutls-devel
BuildRequires: libgpg-error-devel
BuildRequires: libgssdp-devel
BuildRequires: libselinux-devel
BuildRequires: libsoup-devel
BuildRequires: libtasn1-devel
BuildRequires: libuuid-devel
BuildRequires: libxml2-devel
BuildRequires: libz-devel
## AUTOBUILDREQ-END
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
GUPnP is an object-oriented open source framework for creating UPnP devices and control points, written in C using GObject and libsoup. The GUPnP API is intended to be easy to use, efficient and flexible. 
GUPnP implements the UPnP specification: resource announcement and discovery, description, control, event notification, and presentation (GUPnP includes basic web server functionality through libsoup). GUPnP does not include helpers for construction or control of specific standardized resources (e.g. MediaServer); this is left for higher level libraries utilizing the GUPnP framework.

%package devel
Summary:       Devel package for %{name}
Group:         Development/Libraries
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
GUPnP is an object-oriented open source framework for creating UPnP devices and control points, written in C using GObject and libsoup. The GUPnP API is intended to be easy to use, efficient and flexible. 
GUPnP implements the UPnP specification: resource announcement and discovery, description, control, event notification, and presentation (GUPnP includes basic web server functionality through libsoup). GUPnP does not include helpers for construction or control of specific standardized resources (e.g. MediaServer); this is left for higher level libraries utilizing the GUPnP framework.

This package contains static libraries and header files need for development.

%prep
%setup -q -n gupnp-%{version}

%build
%configure
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_bindir}/gupnp-binding-tool
%{_libdir}/libgupnp-1.0.so.*
%{_libdir}/girepository-1.0/GUPnP-1.0.typelib
%doc AUTHORS COPYING

%files devel
%defattr(-,root,root)
%dir %{_includedir}/gupnp-1.0
%dir %{_includedir}/gupnp-1.0/libgupnp
%{_includedir}/gupnp-1.0/libgupnp/*.h
%{_libdir}/libgupnp-1.0.a
%{_libdir}/libgupnp-1.0.la
%{_libdir}/libgupnp-1.0.so
%{_datadir}/gtk-doc/html/gupnp/*
%{_datadir}/gir-1.0/GUPnP-1.0.gir
%{_datadir}/vala/vapi/gupnp-1.0.deps
%{_datadir}/vala/vapi/gupnp-1.0.vapi
%{_libdir}/pkgconfig/*.pc
%doc ChangeLog NEWS README

%changelog
* Sat Feb 13 2016 Automatic Build System <autodist@mambasoft.it> 0.20.16-1mamba
- automatic version update by autodist

* Fri Jan 01 2016 Automatic Build System <autodist@mambasoft.it> 0.20.15-1mamba
- automatic version update by autodist

* Mon May 11 2015 Automatic Build System <autodist@mambasoft.it> 0.20.14-1mamba
- automatic version update by autodist

* Wed Jan 28 2015 Automatic Build System <autodist@mambasoft.it> 0.20.13-1mamba
- automatic version update by autodist

* Wed Jun 04 2014 Automatic Build System <autodist@mambasoft.it> 0.20.12-1mamba
- automatic version update by autodist

* Sun May 04 2014 Automatic Build System <autodist@mambasoft.it> 0.20.11-1mamba
- automatic version update by autodist

* Tue Feb 04 2014 Automatic Build System <autodist@mambasoft.it> 0.20.10-1mamba
- automatic version update by autodist

* Sat Dec 14 2013 Automatic Build System <autodist@mambasoft.it> 0.20.9-1mamba
- automatic version update by autodist

* Thu Oct 31 2013 Automatic Build System <autodist@mambasoft.it> 0.20.8-1mamba
- automatic version update by autodist

* Wed Oct 16 2013 Automatic Build System <autodist@mambasoft.it> 0.20.7-1mamba
- automatic version update by autodist

* Sat Sep 07 2013 Automatic Build System <autodist@mambasoft.it> 0.20.6-1mamba
- automatic update by autodist

* Tue Aug 20 2013 Automatic Build System <autodist@mambasoft.it> 0.20.5-1mamba
- automatic version update by autodist

* Tue Jul 30 2013 Automatic Build System <autodist@mambasoft.it> 0.20.4-1mamba
- automatic version update by autodist

* Wed May 29 2013 Automatic Build System <autodist@mambasoft.it> 0.20.3-1mamba
- automatic version update by autodist

* Fri Apr 05 2013 Automatic Build System <autodist@mambasoft.it> 0.20.2-1mamba
- automatic version update by autodist

* Wed Mar 27 2013 Automatic Build System <autodist@mambasoft.it> 0.20.1-1mamba
- automatic version update by autodist

* Thu Jan 17 2013 Automatic Build System <autodist@mambasoft.it> 0.19.4-1mamba
- automatic version update by autodist

* Mon Jan 07 2013 Automatic Build System <autodist@mambasoft.it> 0.19.3-1mamba
- automatic version update by autodist

* Wed Oct 24 2012 Automatic Build System <autodist@mambasoft.it> 0.19.1-1mamba
- automatic version update by autodist

* Mon Oct 08 2012 Automatic Build System <autodist@mambasoft.it> 0.19.0-1mamba
- automatic version update by autodist

* Thu Sep 27 2012 Automatic Build System <autodist@mambasoft.it> 0.18.4-1mamba
- update to 0.18.4

* Mon Jun 28 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 0.13.2-2mamba
- rebuilt to add pkgconfig provides

* Tue Feb 16 2010 Automatic Build System <autodist@mambasoft.it> 0.13.2-1mamba
- automatic update by autodist

* Wed Nov 18 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 0.13.1-1mamba
- package created by autospec
